Subject: Re: bug#71562: treesit-install-language-grammar fails to install typescript

From: Dmitry Gutov <[email-masked]>
Date: Thu, 20 Jun 2024 13:28:23 +0300

On 20/06/2024 07:54, Eli Zaretskii wrote:
>> Date: Wed, 19 Jun 2024 22:51:28 +0300
>> Cc:[email-masked],[email-masked],[email-masked]
>> From: Dmitry Gutov<[email-masked]>
>>
>> On 16/06/2024 08:16, Eli Zaretskii wrote:
>>> I'm saying that we should run the build commands in every subdirectory
>>> called 'src' that has parser.c or parser.cc in it.  Each shared
>>> library thus created should be installed.  The name of the library is
>>> derived from the parent of the 'src' subdirectory.
>> I suppose the downside is when you pass 'tsx' as the language you still
>> get nothing.
> I don't understand: pass 'tsx' as language to what interface and in
> which situation?

1. Bob is a user who wants to edit a tsx file.
2. He tries the tsx-ts-mode and sees the error "TSX grammar not found".
3. He calls 'M-x treesit-install-language-grammar' and inputs 'tsx' as 
the language.